package com.jwipc.spe.logic;

import com.jwipc.page.PageView;
import com.jwipc.spe.dto.QmAuditManageDTO;
import com.jwipc.spe.model.query.QmAuditManageQuery;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author AL
 * @date 2024/1/29 15:01
 * @desc 稽核整改
 */
public interface QmAuditManageLogic {
    QmAuditManageDTO getById(Long id);
    PageView findByPage(QmAuditManageQuery query);

    void saveOrUpdate(QmAuditManageDTO param);
    void submit(QmAuditManageDTO param);
    void saveOrUpdate1(QmAuditManageDTO param);
    void saveOrUpdate2(QmAuditManageDTO param);

    void remove(Long id);

    List<QmAuditManageDTO> listAll(QmAuditManageQuery query);

    void itemImportData(MultipartFile file);

    void saveOnFile(Long id, String fileIds);

    void saveOnFile1(Long id, String fileIds);

//    ResponseEntity<String> findPCode(String supplierCode, String companyCode);
    ResponseEntity<String> findPCode(String supplierId);


    //  Set<String> importMark1(MultipartFile file);

    // List<QmNoticeOrderMerge> findFatherMergeByPage(QmNoticeOrderMerge qmNoticeOrderMerge);
}
